swagger: "2.0"

info:
  version: 10.1.2
  title: Criar Envelope BPM
  description: "Responsável por criar um envelope no DOC Sign através dos documentos presentes em um processo do BPM."
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

tags:
  - name: "BPM - Serviço de Integração"

consumes:
  - async

paths:
  /bpm-docs-envelope:
    post:
      description: "Retorna o ID do envelope criado."
      deprecated: true

definitions:
  bodyData:
    type: object
    required:
      - processInstanceId
      - instructionsToSigner
      - signerName
      - signerEmail
      - envelopeName
    properties:
      processInstanceId:
        type: integer
        description: "Instância do processo"
      envelopeName:
        type: string
        description: "Nome do envelope"
      instructionsToSigner:
        type: string
        description: "Instrução para assinante"
      signerName:
        type: string
        description: "Nome do assinante"
      signerEmail:
        type: string
        description: "E-mail do assinante"

  outputData:
    type: object
    required:
      - envelopeId
    properties:
      envelopeId:
        type: string
        description: "ID do envelope Criado."
